# Contributing

Pull requests are welcome, as long as they follow these simple guidelines:

1. Links must be to the DOI, or the canonical reference page, if a DOI is not available. Prefer the original title as much as possible.
1. Additional link to a pre-pub version (on ArXiv or elsewhere) is appreciated, but not required.
1. Try to avoid low-information research (posters/presentations) unless the topic is not covered elsewhere in a better medium.
1. You don't have to update the exported versions in your pull requests. (ie ignore the RDF/HTML/BibTeX files)

Please note we have a code of conduct, please follow it in all your interactions with the project.

## Change Process

If you are comfortable with GitHub, you can send a pull request, or just send me a link:

### Contact

You can send us a link by [creating a new issue](https://github.com/captn3m0/boardgame-research/issues/new) on GitHub
or [sending me an email](https://captnemo.in/contact/) with the details.

### Pull Request Process

0. Read the above guidelines.
1. Click [here](https://github.com/captn3m0/boardgame-research/edit/master/README.md) to edit the README file. Make sure your changes abide by the guidelines.
2. Add details about the game and link in the message and click "Propose changes".

## Code of Conduct

### Our Pledge

In the interest of fostering an open and welcoming environment, we as
contributors and maintainers pledge to making participation in our project and
our community a harassment-free experience for everyone, regardless of age, body
size, disability, ethnicity, gender identity and expression, level of experience,
nationality, personal appearance, race, religion, or sexual identity and
orientation.

### Our Standards

Examples of behavior that contributes to creating a positive environment
include:

* Using welcoming and inclusive language
* Being respectful of differing viewpoints and experiences
* Gracefully accepting constructive criticism
* Focusing on what is best for the community
* Showing empathy towards other community members

Examples of unacceptable behavior by participants include:

* The use of sexualized language or imagery and unwelcome sexual attention or
advances
* Trolling, insulting/derogatory comments, and personal or political attacks
* Public or private harassment
* Publishing others' private information, such as a physical or electronic
  address, without explicit permission
* Other conduct which could reasonably be considered inappropriate in a
  professional setting

### Our Responsibilities

Project maintainers are responsible for clarifying the standards of acceptable
behavior and are expected to take appropriate and fair corrective action in
response to any instances of unacceptable behavior.

Project maintainers have the right and responsibility to remove, edit, or
reject comments, commits, code, wiki edits, issues, and other contributions
that are not aligned to this Code of Conduct, or to ban temporarily or
permanently any contributor for other behaviors that they deem inappropriate,
threatening, offensive, or harmful.

### Scope

This Code of Conduct applies both within project spaces and in public spaces
when an individual is representing the project or its community. Examples of
representing a project or community include using an official project e-mail
address, posting via an official social media account, or acting as an appointed
representative at an online or offline event. Representation of a project may be
further defined and clarified by project maintainers.

### Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported by contacting the project team at <coc@captnemo.in>. All
complaints will be reviewed and investigated and will result in a response that
is deemed necessary and appropriate to the circumstances. The project team is
obligated to maintain confidentiality with regard to the reporter of an incident.
Further details of specific enforcement policies may be posted separately.

Project maintainers who do not follow or enforce the Code of Conduct in good
faith may face temporary or permanent repercussions as determined by other
members of the project's leadership.

### Attribution

This Code of Conduct is adapted from the [Contributor Covenant][homepage], version 1.4,
available at [http://contributor-covenant.org/version/1/4][version]

[homepage]: http://contributor-covenant.org
[version]: http://contributor-covenant.org/version/1/4/